Bug 519298 - Server does not fall back to 'nv' driver, if 'nouveau' not present
Summary: Server does not fall back to 'nv' driver, if 'nouveau' not present
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 01:00 UTC by Jeff Garzik
Modified: 2018-04-11 13:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 22:58:09 UTC
Type: ---


Attachments (Terms of Use)
Xorg log (41.29 KB, text/plain)
2009-08-26 01:00 UTC, Jeff Garzik
no flags Details

Description Jeff Garzik 2009-08-26 01:00:13 UTC
Created attachment 358652 [details]
Xorg log

Description of problem:
When "nv" driver is installed, but not "nouveau", Xorg server

(a) still attempts to load "nouveau" driver
(b) never attempts to load "nv" driver


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
xorg-x11-drv-nv-2.1.13-1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. install xorg-x11-drv-nv
2. remove xorg-x11-drv-nouveau
3. restart X server
  
Actual results:
vesa driver used

Expected results:
nv driver used

Comment 1 Matěj Cepl 2009-11-05 18:36:59 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Stephen Clement 2009-11-27 04:22:41 UTC
I can confirm that this bug still exists in the final Fedora 12 release.

Comment 3 Adam Jackson 2010-03-04 22:58:09 UTC
Fixed in 1.7.99.901-12 in F13.


Note You need to log in before you can comment on or make changes to this bug.